package com.ss.android.ugc.aweme.ml.infra;

import X.3ds;
import X.RQv;
import X.RQw;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import com.ss.android.ugc.aweme.ml.ab.OnePlaytimePredictConfig;
import java.util.Map;

public final class SmartPlaytimePredictServiceDefault extends SmartPlaytimePredictService {
    static {
        Covode.recordClassIndex(93039);
    }

    public final void checkAndInit() {
    }

    public final void configOneNewService(OnePlaytimePredictConfig onePlaytimePredictConfig) {
    }

    public final boolean enable(String str) {
        return false;
    }

    public final void ensureEnvAvailable(String str) {
    }

    public final boolean isEnvReady(String str) {
        return false;
    }

    public final float lastPredictFloatResult(String str, float f) {
        return f;
    }

    public final String lastPredictResultLabel(String str, String str2) {
        return str2;
    }

    public final Map<String, Float> lastPredictResultScoreMap(String str) {
        return null;
    }

    public final void predict(String str, RQw rQw, 3ds r3, RQv rQv) {
    }

    public final void predictWithAweme(String str, Aweme aweme, 3ds r3, RQv rQv) {
    }

    public final void predictWithAweme(String str, Aweme aweme, RQv rQv) {
    }
}
